package com.fp.dto;

import java.io.Serializable;
import java.util.HashMap;

public abstract class AbstractDataTransfer extends HashMap<String, Object> implements Serializable,Cloneable{
	/**
	 * Codigo de version de la clase. 
	 */
	private static final long serialVersionUID = 1L;
	/** Codigo de usuario que ejecuta una transaccion. */
    private String user;
	/** Codigo interno de usuario que ejecuta una transaccion. */
    private Integer internalUserCode;    
    /** Idioma preferido del usuario. */
    protected String  language;
    /** Perfil del Usuario.  */
    protected Integer profile;
    /** Codigo del modulo al que pertenece la transaccion. */
    private String transactionModule;
    /** Codigo de transaccion a ejecutar.  */
    private Integer transactionCode;
    /** Version de la transaccion a ejecutar. */
    private Integer transactionVersion;
    /** Codigo de terminal asociado al ip de la maquina desde la cual se ejecuta una transaccion. */
    private String terminalCode;
    /** Identificador de la transaccion. */
    private String journalId;
    /** Codigo de canal desde el cual se ejecuta una transaccion. */
    private String channelCode;
    /** Codigo de sucursal origen de la transaccion. */
    private Integer branchCode;
    /** Codigo de oficina origen de la transaccion.  */
    private Integer officeCode;
    /** Codigo de usuario que ejecuta una transaccion. */
    private String authorizedUser;
	/**
	 * Entrega el valor de: user
	 * @return String
	 */
	public String getUser() {
		return user;
	}
	/**
	 * Fija el valor de: user
	 * @param user 
	 */
	public void setUser(String user) {
		this.user = user;
	}
	
	/**
	 * Entrega el valor de: internalUserCode
	 * @return Integer
	 */
	public Integer getInternalUserCode() {
		return internalUserCode;
	}
	/**
	 * Fija el valor de internalUserCode
	 * @param internalUserCode value to set
	 */
	public void setInternalUserCode(Integer internalUserCode) {
		this.internalUserCode = internalUserCode;
	}
	/**
	 * Entrega el valor de: language
	 * @return String
	 */
	public String getLanguage() {
		return language;
	}
	/**
	 * Fija el valor de: language
	 * @param language 
	 */
	public void setLanguage(String language) {
		this.language = language;
	}
	/**
	 * Entrega el valor de: profile
	 * @return Integer
	 */
	public Integer getProfile() {
		return profile;
	}
	/**
	 * Fija el valor de: profile
	 * @param profile 
	 */
	public void setProfile(Integer profile) {
		this.profile = profile;
	}
	/**
	 * Entrega el valor de: transactionModule
	 * @return String
	 */
	public String getTransactionModule() {
		return transactionModule;
	}
	/**
	 * Fija el valor de: transactionModule
	 * @param transactionModule 
	 */
	public void setTransactionModule(String transactionModule) {
		this.transactionModule = transactionModule;
	}
	/**
	 * Entrega el valor de: transactionCode
	 * @return Integer
	 */
	public Integer getTransactionCode() {
		return transactionCode;
	}
	/**
	 * Fija el valor de: transactionCode
	 * @param transactionCode 
	 */
	public void setTransactionCode(Integer transactionCode) {
		this.transactionCode = transactionCode;
	}
	/**
	 * Entrega el valor de: transactionVersion
	 * @return Integer
	 */
	public Integer getTransactionVersion() {
		return transactionVersion;
	}
	/**
	 * Fija el valor de: transactionVersion
	 * @param transactionVersion 
	 */
	public void setTransactionVersion(Integer transactionVersion) {
		this.transactionVersion = transactionVersion;
	}
	/**
	 * Entrega el valor de: terminalCode
	 * @return String
	 */
	public String getTerminalCode() {
		return terminalCode;
	}
	/**
	 * Fija el valor de: terminalCode
	 * @param terminalCode 
	 */
	public void setTerminalCode(String terminalCode) {
		this.terminalCode = terminalCode;
	}
	/**
	 * Entrega el valor de: journalId
	 * @return String
	 */
	public String getJournalId() {
		return journalId;
	}
	/**
	 * Fija el valor de: journalId
	 * @param journalId 
	 */
	public void setJournalId(String journalId) {
		this.journalId = journalId;
	}
	/**
	 * Entrega el valor de: channelCode
	 * @return String
	 */
	public String getChannelCode() {
		return channelCode;
	}
	/**
	 * Fija el valor de: channelCode
	 * @param channelCode 
	 */
	public void setChannelCode(String channelCode) {
		this.channelCode = channelCode;
	}
	/**
	 * Entrega el valor de: branchCode
	 * @return Integer
	 */
	public Integer getBranchCode() {
		return branchCode;
	}
	/**
	 * Fija el valor de: branchCode
	 * @param branchCode 
	 */
	public void setBranchCode(Integer branchCode) {
		this.branchCode = branchCode;
	}
	/**
	 * Entrega el valor de: officeCode
	 * @return Integer
	 */
	public Integer getOfficeCode() {
		return officeCode;
	}
	/**
	 * Fija el valor de: officeCode
	 * @param officeCode 
	 */
	public void setOfficeCode(Integer officeCode) {
		this.officeCode = officeCode;
	}
	/**
	 * Entrega el valor de: authorizedUser
	 * @return String
	 */
	public String getAuthorizedUser() {
		return authorizedUser;
	}
	/**
	 * Fija el valor de: authorizedUser
	 * @param authorizedUser 
	 */
	public void setAuthorizedUser(String authorizedUser) {
		this.authorizedUser = authorizedUser;
	}


}
